import { String } from "./types";
import { Client, PluginModule, MaybeAsync } from "@web3api/core-js";
export interface Input_querySubgraph extends Record<string, unknown> {
    subgraphAuthor: String;
    subgraphName: String;
    query: String;
}
export interface Module extends PluginModule {
    querySubgraph(input: Input_querySubgraph, client: Client): MaybeAsync<String>;
}
